https://www.docusign.com/v2.1/accountsCreates new Docusign accounts. You can use this method to create a single account or up to 100 accounts at a time. **Note:** This method is restricted to partner integrations. You must work with Docusign Professional Services or Docusign Business Development, who will provide you with the Distributor Code and Distributor Password that you need to include in the request body. When creating a single account, the body of the request is a [`newAccountRequest`][newAccountRequest] object. Example: ``` { "newAccountRequest": [ { "accountName":"Test Account", "distributorCode":"MY_DIST_CODE", "distributorPassword":"MY_DIST_PWD", "initialUser":{ "email":"user@emaildomain.com", "firstName":"John", "middleName": "Harry", "lastName":"Doe", "suffixName": "", "userName": "John Doe", "jobTitle": "Engineer", "company": "Test Company" }, "addressInformation":{ "address1": "1234 Main Street", "address2": "Suite 100", "city": "Seattle", "state": "WA", "postalCode": "98101", "country": "US", "phone": "1234567890", "fax": "1234567891" }, "planInformation":{ "planId":"37085696-xxxx-xxxx-xxxx-7ea067752959" }, "referralInformation":{ "includedSeats": "1", "referralCode": "code", "referrerName": "name" } } ] } ``` If the request succeeds, it returns a 201 (Created) HTTP response code. The response returns the new account ID, password, and the default user information for each newly created account. When creating multiple accounts, the body of the request is a `newAccountRequests` object, which contains one or more [`newAccountDefinition`][newAccountDefinition] objects. You can create up to 100 new accounts at a time this way. The body for a multi-account creation request looks like this in JSON: ``` { "newAccountRequests": [ { "accountName": "accountone", . . . }, { "accountName": "accounttwo", . . . } ] } ``` A multi-account request looks like this in XML: ``` <newAccountsDefinition xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.docusign.com/restapi"> <newAccountRequests> <newAccountDefinition> . . . </newAccountDefinition> <newAccountDefinition> . . . </newAccountDefinition> </newAccountRequests> </newAccountsDefinition> ``` A multi-account creation request may succeed (report a 201 code) even if some accounts could not be created. In this case, the `errorDetails` property in the response contains specific information about the failure. [newAccountDefinition]: #/definitions/newAccountDefinition [nameValue]: #/definitions/nameValue [newAccountRequest]: #/definitions/newAccountRequest
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accountsCreates new Docusign accounts. You can use this method to create a single account or up to 100 accounts at a time. **Note:** This method is restricted to partner integrations. You must work with Docusign Professional Services or Docusign Business Development, who will provide you with the Distributor Code and Distributor Password that you need to include in the request body. When creating a single account, the body of the request is a [`newAccountRequest`][newAccountRequest] object. Example: ``` { "newAccountRequest": [ { "accountName":"Test Account", "distributorCode":"MY_DIST_CODE", "distributorPassword":"MY_DIST_PWD", "initialUser":{ "email":"user@emaildomain.com", "firstName":"John", "middleName": "Harry", "lastName":"Doe", "suffixName": "", "userName": "John Doe", "jobTitle": "Engineer", "company": "Test Company" }, "addressInformation":{ "address1": "1234 Main Street", "address2": "Suite 100", "city": "Seattle", "state": "WA", "postalCode": "98101", "country": "US", "phone": "1234567890", "fax": "1234567891" }, "planInformation":{ "planId":"37085696-xxxx-xxxx-xxxx-7ea067752959" }, "referralInformation":{ "includedSeats": "1", "referralCode": "code", "referrerName": "name" } } ] } ``` If the request succeeds, it returns a 201 (Created) HTTP response code. The response returns the new account ID, password, and the default user information for each newly created account. When creating multiple accounts, the body of the request is a `newAccountRequests` object, which contains one or more [`newAccountDefinition`][newAccountDefinition] objects. You can create up to 100 new accounts at a time this way. The body for a multi-account creation request looks like this in JSON: ``` { "newAccountRequests": [ { "accountName": "accountone", . . . }, { "accountName": "accounttwo", . . . } ] } ``` A multi-account request looks like this in XML: ``` <newAccountsDefinition xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.docusign.com/restapi"> <newAccountRequests> <newAccountDefinition> . . . </newAccountDefinition> <newAccountDefinition> . . . </newAccountDefinition> </newAccountRequests> </newAccountsDefinition> ``` A multi-account creation request may succeed (report a 201 code) even if some accounts could not be created. In this case, the `errorDetails` property in the response contains specific information about the failure. [newAccountDefinition]: #/definitions/newAccountDefinition [nameValue]: #/definitions/nameValue [newAccountRequest]: #/definitions/newAccountRequest
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}